[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Themes' (#lcl)

# TThemeServices.DrawElement

Draws a theme element using the specified theme element details.

## Declaration

Source position: themes.pas line 493

`public procedure TThemeServices.DrawElement(`
`DC: HDC;`
`Details: TThemedElementDetails;`
`const R: TRect;`
`ClipRect: PRect = Nil`
`); virtual;`

## Arguments

`DC` |  | Device context where the theme element is drawn.
`Details` |  | Theme element details used in the method.
`R` |  | Rectangle used to draw the frame for the themed element.
`ClipRect` |  | Not used in the current implementation. Default value is Nil.

## Version info

Modified in version 2.3.0 to use clBtnFace as the fill color for Tab pane or Tab body parts. clBackground was used in previous versions.